package ink.wgink.module.sms.controller.route.sms;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SmsRouteController
 * @Description: sms页面
 * @Author: WangGeng
 * @Date: 2020/3/14 16:13
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "短信")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/sms")
public class SmsRouteController {

    @GetMapping("list")
    public ModelAndView listSms() {
        ModelAndView mv = new ModelAndView();
        mv.setViewName("sms/list");
        return mv;
    }

    @GetMapping("send")
    public ModelAndView send() {
        ModelAndView mv = new ModelAndView();
        mv.setViewName("sms/send");
        return mv;
    }

}
